# Uses of Enum Class
org.eclipse.emf.compare.DifferenceState

Packages that use DifferenceState
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.command.impl
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text
org.eclipse.emf.compare.impl
org.eclipse.emf.compare.utils

## Uses of DifferenceState in org.eclipse.emf.compare

Fields in org.eclipse.emf.compare with type parameters of type DifferenceState
Modifier and Type
Field
Description
`static final List<DifferenceState>`
DifferenceState.`VALUES`
A public read-only list of all the 'Difference State' enumerators.
Methods in org.eclipse.emf.compare that return DifferenceState
Modifier and Type
Method
Description
`static DifferenceState`
DifferenceState.`get(int value)`
Returns the 'Difference State' literal with the specified integer value.
`static DifferenceState`
DifferenceState.`get(String literal)`
Returns the 'Difference State' literal with the specified literal value.
`static DifferenceState`
DifferenceState.`getByName(String name)`
Returns the 'Difference State' literal with the specified name.
`DifferenceState`
Diff.`getState()`
Returns the value of the 'State' attribute.
`static DifferenceState`
DifferenceState.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DifferenceState[]`
DifferenceState.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.compare with parameters of type DifferenceState
Modifier and Type
Method
Description
`void`
Diff.`setState(DifferenceState value)`
Sets the value of the '`State`' attribute.

## Uses of DifferenceState in org.eclipse.emf.compare.command.impl

Methods in org.eclipse.emf.compare.command.impl that return types with arguments of type DifferenceState
Modifier and Type
Method
Description
`com.google.common.collect.Multimap<DifferenceState,Diff>`
AbstractCopyCommand.`getChangedDiffs()`
Returns the state changes to any diffs that this command produced.
`static com.google.common.collect.Multimap<DifferenceState,Diff>`
AbstractCopyCommand.`getChangedDiffs(ChangeDescription changeDescription, Collection<? extends Diff> relevantDiffs)`
Returns the state changes to any relevant diffs modified in the given change description.

## Uses of DifferenceState in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text that return types with arguments of type DifferenceState
Modifier and Type
Method
Description
`com.google.common.collect.Multimap<DifferenceState,Diff>`
EMFCompareTextMergeViewer.EditCommand.`getChangedDiffs()`
Returns the state changes to any diffs that this command produced.

## Uses of DifferenceState in org.eclipse.emf.compare.impl

Fields in org.eclipse.emf.compare.impl declared as DifferenceState
Modifier and Type
Field
Description
`protected DifferenceState`
DiffImpl.`state`
The cached value of the '`State`' attribute.
`protected static final DifferenceState`
DiffImpl.`STATE_EDEFAULT`
The default value of the '`State`' attribute.
Methods in org.eclipse.emf.compare.impl that return DifferenceState
Modifier and Type
Method
Description
`DifferenceState`
CompareFactoryImpl.`createDifferenceStateFromString(EDataType eDataType, String initialValue)`
`DifferenceState`
DiffImpl.`getState()`
Methods in org.eclipse.emf.compare.impl with parameters of type DifferenceState
Modifier and Type
Method
Description
`void`
DiffImpl.`setState(DifferenceState newState)`

## Uses of DifferenceState in org.eclipse.emf.compare.utils

Methods in org.eclipse.emf.compare.utils with parameters of type DifferenceState
Modifier and Type
Method
Description
`static com.google.common.base.Predicate<? super Diff>`
EMFComparePredicates.`hasState(DifferenceState... states)`
Deprecated.
This can be used to check whether a given Diff is in (one of) the given state(s).